post
https://sandbox.saner.secpod.com/AncorWebService/perform
Retrieve applicable misconfiguration remediation patches for one or more devices.
This method allows you to list all the misconfiguration patches by group, hostname, or a family for an account.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| accountid | Name/identifier of the account for which misconfiguration remediation patches should be retrieved. | Yes | string |
| device | Name of the device/hostname for which applicable remediation patches should be listed. | Yes | array |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.Compliance.getApplicableMisconfigurationRemediation(
accountid="Default",
device=["device 1","device 2"]
)
print(response)
client.close()Requires Python 3.9 or later.